#!/bin/sh

REBOOT_PLACE_HOLDER="/dnake/data/reboot_place_holder.txt"

sleep 20
if [ -e ${REBOOT_PLACE_HOLDER} ]
then

    local reboot=0
    while IFS= read -r line
        do
            # Check if system needs to force reboot after upgrade
            if [ "${line}" = "reboot_required" ]
            then
                reboot=1
            fi

        done < ${REBOOT_PLACE_HOLDER}

        if [ "${reboot}" -eq 1 ]
        then
            # Force set default IME
            ime set com.orcomm.orcommkeyboard/.OrcommKeyboardInputService

            # Turn off screen sleep
            settings put system screen_off_timeout 2147483000

            # Write complete status to file to continue standard boot up sequence
            echo 'reboot_completed' > ${REBOOT_PLACE_HOLDER}
            reboot
        else
            rm -f ${REBOOT_PLACE_HOLDER}
            /var/bin/upgradeservice
            /var/bin/provisioningservice
        fi
else
    /var/bin/upgradeservice
    /var/bin/provisioningservice
fi
